Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime.typehandling
[Java] Class BigIntegerMath

    java.lang.Object
      org.codehaus.groovy.runtime.typehandling.NumberMath
          org.codehaus.groovy.runtime.typehandling.BigIntegerMath

    public final class BigIntegerMath
    extends NumberMath

BigInteger NumberMath operations

Authors:
  Steve Goetze

Field Summary
`static BigIntegerMath` | `INSTANCE`

Method Summary
`protected Number` | `absImpl(Number number)`
`Number` | `addImpl(Number left, Number right)`
`protected Number` | `andImpl(Number left, Number right)`
`protected Number` | `bitwiseNegateImpl(Number left)`
`int` | `compareToImpl(Number left, Number right)`
`Number` | `divideImpl(Number left, Number right)`
`protected Number` | `intdivImpl(Number left, Number right)`
`protected Number` | `modImpl(Number left, Number right)`
`Number` | `multiplyImpl(Number left, Number right)`
`protected Number` | `orImpl(Number left, Number right)`
`Number` | `subtractImpl(Number left, Number right)`
`protected Number` | `unaryMinusImpl(Number left)`
`protected Number` | `xorImpl(Number left, Number right)`

Methods inherited from class NumberMath
abs, absImpl, add, addImpl, and, andImpl, compareTo, compareToImpl, createUnsupportedException, divide, divideImpl, getMath, intdiv, intdivImpl, isBigDecimal, isBigInteger, isFloatingPoint, isInteger, isLong, leftShift, leftShiftImpl, mod, modImpl, multiply, multiplyImpl, or, orImpl, rightShift, rightShiftImpl, rightShiftUnsigned, rightShiftUnsignedImpl, subtract, subtractImpl, toBigDecimal, toBigInteger, unaryMinus, unaryMinusImpl, xor, xorImpl

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### INSTANCE

    public static final BigIntegerMath INSTANCE

Method Detail

### absImpl

    protected Number absImpl(Number number)

### addImpl

    public Number addImpl(Number left, Number right)

### andImpl

    protected Number andImpl(Number left, Number right)

### bitwiseNegateImpl

    protected Number bitwiseNegateImpl(Number left)

### compareToImpl

    public int compareToImpl(Number left, Number right)

### divideImpl

    public Number divideImpl(Number left, Number right)

### intdivImpl

    protected Number intdivImpl(Number left, Number right)

### modImpl

    protected Number modImpl(Number left, Number right)

### multiplyImpl

    public Number multiplyImpl(Number left, Number right)

### orImpl

    protected Number orImpl(Number left, Number right)

### subtractImpl

    public Number subtractImpl(Number left, Number right)

### unaryMinusImpl

    protected Number unaryMinusImpl(Number left)

### xorImpl

    protected Number xorImpl(Number left, Number right)

Copyright © 2003-2010 The Codehaus. All rights reserved.